k=0; %to k αποτελει τον δεικτη του πινακα των χρονων t για να κανουμε την plot. 
for i=1000:100:10000
    k=k+1;
   a=rand(1); %επιλεγω τυχαιο αριθμο α για το οποιο 0<α<1.
   x(1)=1;
   for d=1:i-1              %πινακες x,y για την περιπτωση τον ελεγχο 1
       x(d+1)=a*x(d);
   end
   x=x';
    for q=2:2:i  %αρχικοποιω το y με [1,-1,1,-1...]
        y(q-1)=1;
        y(q)=-1;
    end
tic
%εδω γραφουμε καθε φορα τη συναρτηση που θελουμε να τρεξει με ορισματα x,y
t(k)=toc;
end
n=[1000:100:10000];
plot(n,t)
xlabel('size n')
ylabel('time')
title('input4_name_function') %εδω τοποθετουμε το ονομα της συναρτησης που
                             %χρησιμοποιουμε καθε φορα,ως τιτλο της
                             %γραφικης